com.microfocus.awm.meta.impl

## Class ElementTypeImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.AWMIdentifiableObjectImpl
          - - com.microfocus.awm.meta.impl.ElementTypeImpl

- All Implemented Interfaces:
    AWMIdentifiableObject, AWMObject, ElementType, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject
  Direct Known Subclasses:
    LinkedElementTypeImpl

      public class ElementTypeImpl
      extends AWMIdentifiableObjectImpl
      implements ElementType

  The following features are implemented:

  - `Has Get Children Action`
  - `Has Get Properties Action`
  - `Has Action`
  - `Has Property`
  - `Has Filter`
  - `Has Text Decoration`
  - `Icon`
  - `ID Definition`
  - `Matchname`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Icon` | `basicGetIcon()`
    `IDDefinition` | `basicGetIDDefinition()`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetHasGetChildrenAction(RElementGetChildrenAction newHasGetChildrenAction, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetHasGetPropertiesAction(RElementGetProperties newHasGetPropertiesAction, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `RElementAction` | `getDefaultAction()`
    `RElementProperty` | `getElementSuffixProperty()` Gets the first element type property which has the special property value `ESpecialProperties.ELEMENT_SUFFIX`.
    `ActionDescriptor` | `getGetAllProperties()` Returns the value of the 'Get All Properties' reference.
    `ActionDescriptor` | `getGetChildren()`
    `org.eclipse.emf.common.util.EList<RElementAction>` | `getHasAction()`
    `org.eclipse.emf.common.util.EList<RElementFilter>` | `getHasFilter()`
    `RElementGetChildrenAction` | `getHasGetChildrenAction()`
    `RElementGetProperties` | `getHasGetPropertiesAction()`
    `org.eclipse.emf.common.util.EList<RElementProperty>` | `getHasProperty()`
    `org.eclipse.emf.common.util.EList<RElementTextDecoration>` | `getHasTextDecoration()`
    `Icon` | `getIcon()`
    `IDDefinition` | `getIDDefinition()`
    `java.lang.String` | `getMatchname()`
    `void` | `setGetAllProperties(ActionDescriptor pValue)` Sets the value of the '`Get All Properties`' reference.
    `void` | `setHasGetChildrenAction(RElementGetChildrenAction newHasGetChildrenAction)`
    `void` | `setHasGetPropertiesAction(RElementGetProperties newHasGetPropertiesAction)`
    `void` | `setIcon(Icon newIcon)`
    `void` | `setIDDefinition(IDDefinition newIDDefinition)`
    `void` | `setMatchname(java.lang.String newMatchname)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMIdentifiableObjectImpl

      `eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getExtensionID, getID, getModelEditorGroup, isSetModelEditorGroup, setExtensionID, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getHasAction

          public org.eclipse.emf.common.util.EList<RElementAction> getHasAction()

      Specified by:
        `getHasAction` in interface `ElementType`
      Returns:
        the value of the 'Has Action' containment reference list.
      See Also:
        `TaurusPackage.getElementType_HasAction()`

    - #### getHasProperty

          public org.eclipse.emf.common.util.EList<RElementProperty> getHasProperty()

      Specified by:
        `getHasProperty` in interface `ElementType`
      Returns:
        the value of the 'Has Property' containment reference list.
      See Also:
        `TaurusPackage.getElementType_HasProperty()`

    - #### getHasFilter

          public org.eclipse.emf.common.util.EList<RElementFilter> getHasFilter()

      Specified by:
        `getHasFilter` in interface `ElementType`
      Returns:
        the value of the 'Has Filter' containment reference list.
      See Also:
        `TaurusPackage.getElementType_HasFilter()`

    - #### getHasTextDecoration

          public org.eclipse.emf.common.util.EList<RElementTextDecoration> getHasTextDecoration()

      Specified by:
        `getHasTextDecoration` in interface `ElementType`
      Returns:
        the value of the 'Has Text Decoration' containment reference list.
      See Also:
        `TaurusPackage.getElementType_HasTextDecoration()`

    - #### getHasGetChildrenAction

          public RElementGetChildrenAction getHasGetChildrenAction()

      Specified by:
        `getHasGetChildrenAction` in interface `ElementType`
      Returns:
        the value of the 'Has Get Children Action' containment reference.
      See Also:
        `ElementType.setHasGetChildrenAction(RElementGetChildrenAction)`, `TaurusPackage.getElementType_HasGetChildrenAction()`

    - #### basicSetHasGetChildrenAction

          public org.eclipse.emf.common.notify.NotificationChain basicSetHasGetChildrenAction(RElementGetChildrenAction newHasGetChildrenAction,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setHasGetChildrenAction

          public void setHasGetChildrenAction(RElementGetChildrenAction newHasGetChildrenAction)

      Specified by:
        `setHasGetChildrenAction` in interface `ElementType`
      Parameters:
        `newHasGetChildrenAction` - the new value of the 'Has Get Children Action' containment reference.
      See Also:
        `ElementType.getHasGetChildrenAction()`

    - #### getGetAllProperties

          public ActionDescriptor getGetAllProperties()

      Description copied from interface: `ElementType`
      Returns the value of the 'Get All Properties' reference. Relationship to an action that returns all the property values of an element.
      Specified by:
        `getGetAllProperties` in interface `ElementType`
      Returns:
        the value of the 'Get All Properties' reference.
      See Also:
        `ElementType.setGetAllProperties(ActionDescriptor)`, `TaurusPackage.getElementType_HasGetPropertiesAction()`

    - #### setGetAllProperties

          public void setGetAllProperties(ActionDescriptor pValue)

      Description copied from interface: `ElementType`
      Sets the value of the '`Get All Properties`' reference.
      Specified by:
        `setGetAllProperties` in interface `ElementType`
      Parameters:
        `pValue` - the new value of the 'Get All Properties' reference.
      See Also:
        `ElementType.getGetAllProperties()`

    - #### getHasGetPropertiesAction

          public RElementGetProperties getHasGetPropertiesAction()

      Specified by:
        `getHasGetPropertiesAction` in interface `ElementType`
      Returns:
        the value of the 'Has Get Properties Action' containment reference.
      See Also:
        `ElementType.setHasGetPropertiesAction(RElementGetProperties)`, `TaurusPackage.getElementType_HasGetPropertiesAction()`

    - #### basicSetHasGetPropertiesAction

          public org.eclipse.emf.common.notify.NotificationChain basicSetHasGetPropertiesAction(RElementGetProperties newHasGetPropertiesAction,
                                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setHasGetPropertiesAction

          public void setHasGetPropertiesAction(RElementGetProperties newHasGetPropertiesAction)

      Specified by:
        `setHasGetPropertiesAction` in interface `ElementType`
      Parameters:
        `newHasGetPropertiesAction` - the new value of the 'Has Get Properties Action' containment reference.
      See Also:
        `ElementType.getHasGetPropertiesAction()`

    - #### getGetChildren

          public ActionDescriptor getGetChildren()

      Specified by:
        `getGetChildren` in interface `ElementType`
      Returns:
        the value of the 'Get Children' reference.
      See Also:
        `ElementType.setHasGetChildrenAction(RElementGetChildrenAction)`, `TaurusPackage.getElementType_HasGetChildrenAction()`

    - #### getIcon

          public Icon getIcon()

      Specified by:
        `getIcon` in interface `ElementType`
      Returns:
        the value of the 'Icon' reference.
      See Also:
        `ElementType.setIcon(Icon)`, `TaurusPackage.getElementType_Icon()`

    - #### basicGetIcon

          public Icon basicGetIcon()

    - #### setIcon

          public void setIcon(Icon newIcon)

      Specified by:
        `setIcon` in interface `ElementType`
      Parameters:
        `newIcon` - the new value of the 'Icon' reference.
      See Also:
        `ElementType.getIcon()`

    - #### getIDDefinition

          public IDDefinition getIDDefinition()

      Specified by:
        `getIDDefinition` in interface `ElementType`
      Returns:
        the value of the 'ID Definition' reference.
      See Also:
        `ElementType.setIDDefinition(IDDefinition)`, `TaurusPackage.getElementType_IDDefinition()`

    - #### basicGetIDDefinition

          public IDDefinition basicGetIDDefinition()

    - #### setIDDefinition

          public void setIDDefinition(IDDefinition newIDDefinition)

      Specified by:
        `setIDDefinition` in interface `ElementType`
      Parameters:
        `newIDDefinition` - the new value of the 'ID Definition' reference.
      See Also:
        `ElementType.getIDDefinition()`

    - #### getMatchname

          public java.lang.String getMatchname()

      Specified by:
        `getMatchname` in interface `ElementType`
      Returns:
        the value of the 'Matchname' attribute.
      See Also:
        `ElementType.setMatchname(String)`, `TaurusPackage.getElementType_Matchname()`

    - #### setMatchname

          public void setMatchname(java.lang.String newMatchname)

      Specified by:
        `setMatchname` in interface `ElementType`
      Parameters:
        `newMatchname` - the new value of the 'Matchname' attribute.
      See Also:
        `ElementType.getMatchname()`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMIdentifiableObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMIdentifiableObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMIdentifiableObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMIdentifiableObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMIdentifiableObjectImpl`

    - #### getDefaultAction

          public RElementAction getDefaultAction()

      Specified by:
        `getDefaultAction` in interface `ElementType`
      Returns:
        The `RElementAction` with the attribute `Default_Action` set to true or `null`, if there is no default action for this Element Type.

    - #### getElementSuffixProperty

          public RElementProperty getElementSuffixProperty()

      Description copied from interface: `ElementType`
      Gets the first element type property which has the special property value `ESpecialProperties.ELEMENT_SUFFIX`.
      Specified by:
        `getElementSuffixProperty` in interface `ElementType`
      Returns:
        the element suffix property relationship or `null`
      See Also:
        `Property.getSpecialProperty()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.